package com.sunyard.ssp.modules.sdk;

import com.sunyard.ssp.proto.sdk.Sdk;

/**
 * @author:tsz
 * @date:2020/5/21
 * @description:
 */
public interface CertService {

    /**
     * @param : cert
     * @return :
     * @date :2020/05/21 14:26
     * @description : 证书检测
     */
    Sdk.CIX509 catCert(String cert);

    /**
     * @param : cert
     * @return :
     * @date :2020/05/21 14:26
     * @description : 证书检测
     */
    Sdk.CIX509 catCert(String cert,String sk);

    /**
     * @param : pk
     * @param : domain
     * @return :
     * @date :2020/05/21 14:24
     * @description : 证书请求生成,更新密钥
     */
    String applyCertRequest(String pk, String domain);

    /**
    *@date   :2020/06/09 14:09
    *@description : 证书请求生成,生成密钥
    * @param :
    * @return :
    */
    String applyCertRequest(String pk, String domain,Long startTime,Long period);

    long ping();


}
